lomiri::shell::launcher::LauncherItemInterface Class Reference

An item presented in the launcher. More...

`#include <lomiri/shell/launcher/LauncherItemInterface.h>`

Inheritance diagram for lomiri::shell::launcher::LauncherItemInterface:
[legend]
Collaboration diagram for lomiri::shell::launcher::LauncherItemInterface:
[legend]

## Properties

QString | appId
| The appId of the application associated with the item.
QString | name
| The user visible name of the item.
QString | icon
| The full path to the icon to be shown for the item.
QStringList | keywords
| The keywords for this item.
uint | popularity
| The popularity of this application, e.g. usage count given by Zeitgeist.
bool | pinned
| A flag whether the item is pinned or not.
bool | running
| A flag whether the application belonging to the icon is currently running or not.
bool | recent
| A flag wheter the application is in the recently used applications list.
int | progress
| The percentage of the progress bar shown on the item. More...
int | count
| The number for the count emblem on the item. More...
bool | countVisible
| The visibility of the count emblem. More...
bool | focused
| The focused state of the item. More...
bool | alerting
| The alerting state of the item. More...
int | surfaceCount
| The number of surfaces that this application entry has opened. More...
lomiri::shell::launcher::QuickListModelInterface * | quickList
| The quick list menu contents for the item. More...

## Detailed Description

An item presented in the launcher.

The items hold all the information required for the visual representation in the launcher.

## Property Documentation

## alerting

bool lomiri::shell::launcher::LauncherItemInterface::alerting

read

The alerting state of the item.

True if alerting/wobbling, false if not alerting/wobbling

## count

int lomiri::shell::launcher::LauncherItemInterface::count

read

The number for the count emblem on the item.

For values >0 this will paint an emblem containing the number. For 0 and negative values, no count emblem will be drawn.

## countVisible

bool lomiri::shell::launcher::LauncherItemInterface::countVisible

read

The visibility of the count emblem.

True if the count emblem should be visible, false otherwise.

## focused

bool lomiri::shell::launcher::LauncherItemInterface::focused

read

The focused state of the item.

True if focused, false if not focused

## progress

int lomiri::shell::launcher::LauncherItemInterface::progress

read

The percentage of the progress bar shown on the item.

For values from 0 and 100 this will present a progress bar on the item. For values outside this range, no progress bar will be drawn.

## quickList

lomiri::shell::launcher::QuickListModelInterface* lomiri::shell::launcher::LauncherItemInterface::quickList

read

The quick list menu contents for the item.

Items can have a quick list menu. This property holds a model for the contents of that menu. The pointer to the model will be constant, but of course the contents of the model can change.

## surfaceCount

int lomiri::shell::launcher::LauncherItemInterface::surfaceCount

read

The number of surfaces that this application entry has opened.

The Launcher will display up to 3 pips, one for each surface

The documentation for this class was generated from the following file:

- include/lomiri/shell/launcher/LauncherItemInterface.h